Solid Edge FrameworkSupport Type Library
ModifyByPointAndAngle Method
X coordinate of the point through which the chamfer should pass.
Y coordinate of the point through which the chamfer should pass.
The angle of the chamfer relative to the first object to which it is connected.
Description
Modifies the Chamfer object by specifying a point through which it should pass and its angle relative to the first object to which it connects.
Syntax
Visual Basic
Public Sub ModifyByPointAndAngle( _
   ByVal x As Double, _
   ByVal y As Double, _
   ByVal Angle As Double _
) 
Parameters
x
X coordinate of the point through which the chamfer should pass.
y
Y coordinate of the point through which the chamfer should pass.
Angle
The angle of the chamfer relative to the first object to which it is connected.
Example
Private Sub Form_Load()
    Dim objApp As SolidEdgeFramework.Application
    Dim objDoc As SolidEdgePart.PartDocument
    Dim objLines As SolidEdgeFrameworkSupport.Lines2d
    Dim objLine1 As SolidEdgeFrameworkSupport.Line2d
    Dim objLine2 As SolidEdgeFrameworkSupport.Line2d
    Dim objLine3 As SolidEdgeFrameworkSupport.Line2d
    Dim objChamferGeom2d As SolidEdgeFrameworkSupport.ChamferGeometry2d
    Dim dblAng1 As Double
    Dim x As Double, y As Double
    Dim dblAng2 As Double
    ' Report errors
    Const PI = 3.14159265358979
    ' Create/get the application with specific settings
    On Error Resume Next
    Set objApp = GetObject(, "SolidEdge.Application")
    If Err Then
        Err.Clear
        Set objApp = CreateObject("SolidEdge.Application")
        Set objDoc = objApp.Documents.Add("SolidEdge.PartDocument")
        objApp.Visible = True
    Else
        Set objDoc = objApp.ActiveDocument
    End If
    'Create an empty Lines2d collection object
    Set objLines = objDoc.ProfileSets.Add.Profiles.Add(pRefPlaneDisp:=objDoc.RefPlanes(1)).Lines2d
    ' Create 2 Line2d objects
    Set objLine1 = objLines.AddBy2Points(x1:=0, y1:=0, x2:=0.1, y2:=0)
    Set objLine2 = objLines.AddBy2Points(x1:=0.1, y1:=0, x2:=0.1, y2:=0.1)
    ' Create another Line object using the AddAsChamfer Method
    Set objLine3 = objLines.AddAsChamfer(Obj1:=objLine1, Obj2:=objLine2, xDirection:=0.05, _
                                         yDirection:=0.03, SetBackA:=0.04, SetBackB:=0.04)
    Set objChamferGeom2d = objLine3.Chamfer
    Call objLine3.GetStartPoint(x:=x, y:=y)
    dblAng2 = objChamferGeom2d.Angle
    dblAng1 = objChamferGeom2d.Angle + 5 * PI / 180
    ' Named Arguments not written
    'Named arguments will be implemented after fixing the TR#38344
    ' Modify the Chamfer
    Call objChamferGeom2d.ModifyByPointAndAngle(x, y, dblAng1)
    ' USER DISPLAY
    ' Release objects
    Set objApp = Nothing
    Set objDoc = Nothing
    Set objLines = Nothing
    Set objLine1 = Nothing
    Set objLine2 = Nothing
    Set objLine3 = Nothing
    Set objChamferGeom2d = Nothing
End Sub
See Also

ChamferGeometry2d Object  | ChamferGeometry2d Members